""" definition of the phones to be used. """

phoneset = [
	# vowels
	'i̯',
	'i̯ⁿ',
	'y',
	'i',
	'i.',
	'iⁿ',
	'i:',
	'i:ⁿ',
	'ɪ',
	'ɪⁿ',
	'ɪ.',
	#'ɪ:', # not included in lex.ipa
	'ɪ:ⁿ',
	'e',
	'e:',
	'e:ⁿ',
	'ə',
	'əⁿ',
	'ə:',
	'ɛ',
	'ɛ.',
	'ɛⁿ',
	'ɛ:',
	'ɛ:ⁿ',
	'a',
	'aⁿ',
	'a.',
	'a:',
	'a:ⁿ',
	'ṷ',
	'ṷ.',
	'ṷⁿ',
	#'ú', # only appears in word 'feeste'(út) and 'gaste'(út) which are 'f e: s t ə' and 'yn' in lex_asr. The pronunciation in Fries may be mistakes so I removed this phone. 
	'u',
	'uⁿ',
	'u.',
	'u:',
	'u:ⁿ',
	'ü',
	'ü.',
	'üⁿ',
	'ü:',
	'ü:ⁿ',
	'o',
	'oⁿ',
	'o.',
	'o:',
	'o:ⁿ',
	'ö',
	'ö.',
	'öⁿ',
	'ö:',
	'ö:ⁿ',
	'ɔ',
	'ɔ.',
	'ɔⁿ',
	'ɔ:',
	'ɔ:ⁿ',
	#'ɔ̈', # not included in lex.ipa 
	'ɔ̈.',
	'ɔ̈:',

	# plosives
	'p', 
	'b', 
	't',
	'tⁿ',
	'd', 
	'k',
	'g',
	'ɡ', # = 'g'

	# nasals
	'm',
	'n',
	'ŋ',
	
	# fricatives
	'f',
	'v',
	's',
	's:',
	'z',
	'zⁿ',
	'x',
	'h',

	# tap and flip
	'r',
	'r.', # only appears in word 'mearpartijestelsel'(does not exist in lex_asr) and 'tenoarpartij'.   
	'r:', # only appears in word 'mûsearflearmûs' and 'sjochdêr'.

	# approximant
	'j',
	'j.',
	'l'
	]


## the list of multi character phones. 
# for example, the length of 'i̯ⁿ' is 3, but in the codes it is treated as one letter.
multi_character_phones = [i for i in phoneset if len(i) > 1]
multi_character_phones.sort(key=len, reverse=True)